Bug 956163 - (CVE-2013-1918) CVE-2013-1918 kernel: xen: Several long latency operations are not preemptible
CVE-2013-1918 kernel: xen: Several long latency operations are not preemptible
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130502,repor...
: Security
Depends On: 956164 956165 958918
Blocks: 953634
  Show dependency treegraph
 
Reported: 2013-04-24 07:31 EDT by Petr Matousek
Modified: 2015-02-16 10:47 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-24 09:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-04-24 07:31:55 EDT
Page table manipulation operations for PV guests can take significant amounts of time, as they require all present branches to have their type (and thus contents) verified. While the most frequently used operations had been made preemptible in the past, some code paths involving potentially deep page table traversal were still trying to do their entire work in a single step.

Malicious or buggy PV guest kernels could potentially mount a denial of service attack affecting the whole system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Petr Matousek 2013-04-24 07:33:08 EDT
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

The risks associated with fixing this bug are greater than its security impact. This issue is not currently planned to be addressed in future kernel-xen updates for Red Hat Enterprise Linux 5. Using fully virtualized (HVM) guests, or PV guests with trusted kernel/administrator avoids this issue.
Comment 8 Petr Matousek 2013-05-02 12:33:27 EDT
Now public via http://seclists.org/oss-sec/2013/q2/259.
Comment 9 Petr Matousek 2013-05-02 12:36:17 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 958918]

Note You need to log in before you can comment on or make changes to this bug.